## SPEC file for Perl module RPC::XML
## Used in ikiwiki

%define version    0.64
%define release    alt1

Name: perl-RPC-XML
Version: %version
Release: %release

Summary: an implementation of XML-RPC

License: %perl_license
Group: Development/Perl
URL: http://search.cpan.org/~rjray/RPC-XML/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>
BuildArch: noarch

%define real_name RPC-XML
Source: %real_name-%version.tar
Patch0: %name-0.60-alt-HTTP_Message.patch

AutoReqProv: perl, yes
BuildRequires(pre): rpm-build-licenses perl-devel

# Automatically added by buildreq on Sun Dec 14 2008
BuildRequires: apache-mod_perl-base perl-CGI perl-Test-Pod perl-Test-Pod-Coverage perl-XML-LibXML perl-XML-Parser

%description
Perl module RPC::XML is an implementation of XML-RPC. The module
provides classes for sample client and server implementations, 
a server designed as an Apache location-handler, and a suite of 
data-manipulation classes that are used by them.

%prep
%setup  -n %real_name-%version
%patch0

# Ugly patch to obtain build system dependant server name for tests
HOST=`awk '/^127.0.0.1/ {print $2;}' /etc/hosts`
%__subst "s/localhost\([':]\)/$HOST\1/g" t/40_server.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.apache2 ChangeLog
%exclude %perl_vendor_man3dir/*
%exclude %perl_vendor_privlib/auto/*
%exclude /.perl.req
%perl_vendor_privlib/RPC/XML*
%perl_vendor_privlib/Apache/RPC*

%_bindir/make_method
%_man1dir/make_method*

%changelog
* Sun Dec 14 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.64-alt1
- New version 0.64

* Mon Apr 14 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.60-alt1
- New version 0.60
  - Multiple bugfixes and improvements

* Sat Feb 23 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.59-alt1
- Initial build for ALT Linux Sisyphus

* Mon Feb 18 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.59-alt0.1
- Initial build
